Bug 94 - nsd-xfer: No timeout when *reading* the AXFR response?
nsd-xfer: No timeout when *reading* the AXFR response?
Status: RESOLVED FIXED
Product: NSD
Classification: Unclassified
Component: NSD Code
other
All All
: P2 normal
Assigned To: NSD team
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-03 22:30 CET by Stephane Bortzmeyer
Modified: 2005-02-21 11:10 CET (History)
0 users

See Also:


Attachments
Patch to implement in-transfer timeouts (3.43 KB, patch)
2005-02-03 22:32 CET, Stephane Bortzmeyer
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stephane Bortzmeyer 2005-02-03 22:30:58 CET
It seems (I have not been able to reproduce it myself but see
http://open.nlnetlabs.nl/pipermail/nsd-users/2005-February/000326.html) that
nsd-xfer has no timeout at all once connected. If you conenct to the nameserver
and then it stops serving data, nsd-xfer stops.

Also, it seems that nsd-xfer wrongly test only -1 as a return value meaning
failure, not 0.

The attached patch may fix the problems. Warning: I did not run it in production.
Comment 1 Stephane Bortzmeyer 2005-02-03 22:32:47 CET
Created attachment 23 [details]
Patch to implement in-transfer timeouts
Comment 2 Miek Gieben 2005-02-04 10:56:45 CET
Not setting to fixed, until we have confirmation it works.
Comment 3 Stephane Bortzmeyer 2005-02-04 13:17:01 CET
The patched nsd-xfer now runs on a production machine, ns2.nic.fr (secondary of
400 zones).

I cannot swear that it solves all the problems but at least it seems it breaks
nothing.
 
Comment 4 Erik Rozendaal 2005-02-21 11:10:51 CET
Applied Stephane's patch with some modifications.